diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -3257,17 +3266,17 @@ RREEAADDLLIINNEE
               Move forward to the end of the next word.  Words are composed of
               alphanumeric characters (letters and digits).
        bbaacckkwwaarrdd--wwoorrdd ((MM--bb))
-              Move  back  to the start of the current or previous word.  Words
+              Move back to the start of the current or previous  word.   Words
               are composed of alphanumeric characters (letters and digits).
        sshheellll--ffoorrwwaarrdd--wwoorrdd
-              Move forward to the end of the next word.  Words  are  delimited
+              Move  forward  to the end of the next word.  Words are delimited
               by non-quoted shell metacharacters.
        sshheellll--bbaacckkwwaarrdd--wwoorrdd
-              Move  back  to the start of the current or previous word.  Words
+              Move back to the start of the current or previous  word.   Words
               are delimited by non-quoted shell metacharacters.
        cclleeaarr--ssccrreeeenn ((CC--ll))
-              Clear the screen leaving the current line  at  the  top  of  the
-              screen.   With  an  argument,  refresh  the current line without
+              Clear  the  screen  leaving  the  current line at the top of the
+              screen.  With an argument,  refresh  the  current  line  without
               clearing the screen.
        rreeddrraaww--ccuurrrreenntt--lliinnee
               Refresh the current line.
@@ -3275,60 +3284,60 @@ RREEAADDLLIINNEE
    CCoommmmaannddss ffoorr MMaanniippuullaattiinngg tthhee HHiissttoorryy
        aacccceepptt--lliinnee ((NNeewwlliinnee,, RReettuurrnn))
               Accept the line regardless of where the cursor is.  If this line
-              is  non-empty, add it to the history list according to the state
-              of the HHIISSTTCCOONNTTRROOLL variable.  If the line is a modified  history
+              is non-empty, add it to the history list according to the  state
+              of  the HHIISSTTCCOONNTTRROOLL variable.  If the line is a modified history
               line, then restore the history line to its original state.
        pprreevviioouuss--hhiissttoorryy ((CC--pp))
               Fetch the previous command from the history list, moving back in
               the list.
        nneexxtt--hhiissttoorryy ((CC--nn))
-              Fetch the next command from the history list, moving forward  in
+              Fetch  the next command from the history list, moving forward in
               the list.
        bbeeggiinnnniinngg--ooff--hhiissttoorryy ((MM--<<))
               Move to the first line in the history.
        eenndd--ooff--hhiissttoorryy ((MM-->>))
-              Move  to  the end of the input history, i.e., the line currently
+              Move to the end of the input history, i.e., the  line  currently
               being entered.
        rreevveerrssee--sseeaarrcchh--hhiissttoorryy ((CC--rr))
-              Search backward starting at the current  line  and  moving  `up'
-              through  the  history  as  necessary.   This  is  an incremental
+              Search  backward  starting  at  the current line and moving `up'
+              through the  history  as  necessary.   This  is  an  incremental
               search.
        ffoorrwwaarrdd--sseeaarrcchh--hhiissttoorryy ((CC--ss))
-              Search forward starting at the current line  and  moving  `down'
-              through  the  history  as  necessary.   This  is  an incremental
+              Search  forward  starting  at the current line and moving `down'
+              through the  history  as  necessary.   This  is  an  incremental
               search.
        nnoonn--iinnccrreemmeennttaall--rreevveerrssee--sseeaarrcchh--hhiissttoorryy ((MM--pp))
               Search backward through the history starting at the current line
-              using  a  non-incremental  search  for  a string supplied by the
+              using a non-incremental search for  a  string  supplied  by  the
               user.
        nnoonn--iinnccrreemmeennttaall--ffoorrwwaarrdd--sseeaarrcchh--hhiissttoorryy ((MM--nn))
-              Search forward  through  the  history  using  a  non-incremental
+              Search  forward  through  the  history  using  a non-incremental
               search for a string supplied by the user.
        hhiissttoorryy--sseeaarrcchh--ffoorrwwaarrdd
-              Search  forward through the history for the string of characters
-              between the start of the current line and the point.  This is  a
+              Search forward through the history for the string of  characters
+              between  the start of the current line and the point.  This is a
               non-incremental search.
        hhiissttoorryy--sseeaarrcchh--bbaacckkwwaarrdd
               Search backward through the history for the string of characters
-              between the start of the current line and the point.  This is  a
+              between  the start of the current line and the point.  This is a
               non-incremental search.
        yyaannkk--nntthh--aarrgg ((MM--CC--yy))
-              Insert  the  first argument to the previous command (usually the
+              Insert the first argument to the previous command  (usually  the
               second word on the previous line) at point.  With an argument _n,
-              insert  the _nth word from the previous command (the words in the
-              previous command  begin  with  word  0).   A  negative  argument
+              insert the _nth word from the previous command (the words in  the
+              previous  command  begin  with  word  0).   A  negative argument
               inserts the _nth word from the end of the previous command.  Once
-              the argument _n is computed, the argument is extracted as if  the
+              the  argument _n is computed, the argument is extracted as if the
               "!_n" history expansion had been specified.
        yyaannkk--llaasstt--aarrgg ((MM--..,, MM--__))
-              Insert  the last argument to the previous command (the last word
+              Insert the last argument to the previous command (the last  word
               of the previous history entry).  With a numeric argument, behave
-              exactly  like  yyaannkk--nntthh--aarrgg.   Successive calls to yyaannkk--llaasstt--aarrgg
-              move back through the history list, inserting the last word  (or
-              the  word  specified  by the argument to the first call) of each
+              exactly like yyaannkk--nntthh--aarrgg.  Successive  calls  to  yyaannkk--llaasstt--aarrgg
+              move  back through the history list, inserting the last word (or
+              the word specified by the argument to the first  call)  of  each
               line in turn.  Any numeric argument supplied to these successive
-              calls  determines  the direction to move through the history.  A
-              negative argument switches the  direction  through  the  history
+              calls determines the direction to move through the  history.   A
+              negative  argument  switches  the  direction through the history
               (back or forward).  The history expansion facilities are used to
               extract the last word, as if the "!$" history expansion had been
               specified.
@@ -3337,79 +3346,79 @@ RREEAADDLLIINNEE
               tory expansion as well as all of the shell word expansions.  See
               HHIISSTTOORRYY EEXXPPAANNSSIIOONN below for a description of history expansion.
        hhiissttoorryy--eexxppaanndd--lliinnee ((MM--^^))
-              Perform  history  expansion  on  the  current line.  See HHIISSTTOORRYY
+              Perform history expansion on  the  current  line.   See  HHIISSTTOORRYY
               EEXXPPAANNSSIIOONN below for a description of history expansion.
        mmaaggiicc--ssppaaccee
-              Perform history expansion on  the  current  line  and  insert  a
+              Perform  history  expansion  on  the  current  line and insert a
               space.  See HHIISSTTOORRYY EEXXPPAANNSSIIOONN below for a description of history
               expansion.
        aalliiaass--eexxppaanndd--lliinnee
-              Perform alias expansion on the current line.  See AALLIIAASSEESS  above
+              Perform  alias expansion on the current line.  See AALLIIAASSEESS above
               for a description of alias expansion.
        hhiissttoorryy--aanndd--aalliiaass--eexxppaanndd--lliinnee
               Perform history and alias expansion on the current line.
        iinnsseerrtt--llaasstt--aarrgguummeenntt ((MM--..,, MM--__))
               A synonym for yyaannkk--llaasstt--aarrgg.
        ooppeerraattee--aanndd--ggeett--nneexxtt ((CC--oo))
-              Accept  the  current  line for execution and fetch the next line
-              relative to the current line from the history for editing.   Any
+              Accept the current line for execution and fetch  the  next  line
+              relative  to the current line from the history for editing.  Any
               argument is ignored.
        eeddiitt--aanndd--eexxeeccuuttee--ccoommmmaanndd ((CC--xxCC--ee))
-              Invoke  an  editor  on the current command line, and execute the
-              result as shell commands.   BBaasshh  attempts  to  invoke  $$VVIISSUUAALL,
+              Invoke an editor on the current command line,  and  execute  the
+              result  as  shell  commands.   BBaasshh  attempts to invoke $$VVIISSUUAALL,
               $$EEDDIITTOORR, and _e_m_a_c_s as the editor, in that order.
 
    CCoommmmaannddss ffoorr CChhaannggiinngg TTeexxtt
        _e_n_d_-_o_f_-_f_i_l_e ((uussuuaallllyy CC--dd))
-              The  character  indicating  end-of-file  as set, for example, by
-              ``stty''.  If this character is read when there are  no  charac-
-              ters  on  the  line,  and point is at the beginning of the line,
+              The character indicating end-of-file as  set,  for  example,  by
+              ``stty''.   If  this character is read when there are no charac-
+              ters on the line, and point is at the  beginning  of  the  line,
               Readline interprets it as the end of input and returns EEOOFF.
        ddeelleettee--cchhaarr ((CC--dd))
               Delete the character at point.  If this function is bound to the
               same character as the tty EEOOFF character, as CC--dd commonly is, see
               above for the effects.
        bbaacckkwwaarrdd--ddeelleettee--cchhaarr ((RRuubboouutt))
-              Delete the character behind the cursor.  When  given  a  numeric
+              Delete  the  character  behind the cursor.  When given a numeric
               argument, save the deleted text on the kill ring.
        ffoorrwwaarrdd--bbaacckkwwaarrdd--ddeelleettee--cchhaarr
-              Delete  the  character under the cursor, unless the cursor is at
+              Delete the character under the cursor, unless the cursor  is  at
               the end of the line, in which case the character behind the cur-
               sor is deleted.
        qquuootteedd--iinnsseerrtt ((CC--qq,, CC--vv))
-              Add  the next character typed to the line verbatim.  This is how
+              Add the next character typed to the line verbatim.  This is  how
               to insert characters like CC--qq, for example.
        ttaabb--iinnsseerrtt ((CC--vv TTAABB))
               Insert a tab character.
        sseellff--iinnsseerrtt ((aa,, bb,, AA,, 11,, !!,, ......))
               Insert the character typed.
        ttrraannssppoossee--cchhaarrss ((CC--tt))
-              Drag the character before point forward over  the  character  at
-              point,  moving point forward as well.  If point is at the end of
-              the line, then this transposes the two characters before  point.
+              Drag  the  character  before point forward over the character at
+              point, moving point forward as well.  If point is at the end  of
+              the  line, then this transposes the two characters before point.
               Negative arguments have no effect.
        ttrraannssppoossee--wwoorrddss ((MM--tt))
-              Drag  the  word  before  point past the word after point, moving
-              point over that word as well.  If point is at  the  end  of  the
+              Drag the word before point past the  word  after  point,  moving
+              point  over  that  word  as well.  If point is at the end of the
               line, this transposes the last two words on the line.
        uuppccaassee--wwoorrdd ((MM--uu))
-              Uppercase  the  current  (or  following)  word.  With a negative
+              Uppercase the current (or  following)  word.   With  a  negative
               argument, uppercase the previous word, but do not move point.
        ddoowwnnccaassee--wwoorrdd ((MM--ll))
-              Lowercase the current (or  following)  word.   With  a  negative
+              Lowercase  the  current  (or  following)  word.  With a negative
               argument, lowercase the previous word, but do not move point.
        ccaappiittaalliizzee--wwoorrdd ((MM--cc))
-              Capitalize  the  current  (or  following) word.  With a negative
+              Capitalize the current (or following)  word.   With  a  negative
               argument, capitalize the previous word, but do not move point.
        oovveerrwwrriittee--mmooddee
-              Toggle overwrite mode.  With an explicit positive numeric  argu-
+              Toggle  overwrite mode.  With an explicit positive numeric argu-
               ment, switches to overwrite mode.  With an explicit non-positive
               numeric argument, switches to insert mode.  This command affects
-              only  eemmaaccss mode; vvii mode does overwrite differently.  Each call
+              only eemmaaccss mode; vvii mode does overwrite differently.  Each  call
               to _r_e_a_d_l_i_n_e_(_) starts in insert mode.  In overwrite mode, charac-
-              ters  bound to sseellff--iinnsseerrtt replace the text at point rather than
-              pushing the text  to  the  right.   Characters  bound  to  bbaacckk--
-              wwaarrdd--ddeelleettee--cchhaarr  replace  the  character  before  point  with a
+              ters bound to sseellff--iinnsseerrtt replace the text at point rather  than
+              pushing  the  text  to  the  right.   Characters  bound to bbaacckk--
+              wwaarrdd--ddeelleettee--cchhaarr replace  the  character  before  point  with  a
               space.  By default, this command is unbound.
 
    KKiilllliinngg aanndd YYaannkkiinngg
@@ -3418,31 +3427,31 @@ RREEAADDLLIINNEE
        bbaacckkwwaarrdd--kkiillll--lliinnee ((CC--xx RRuubboouutt))
               Kill backward to the beginning of the line.
        uunniixx--lliinnee--ddiissccaarrdd ((CC--uu))
-              Kill backward from point to the  beginning  of  the  line.   The
+              Kill  backward  from  point  to  the beginning of the line.  The
               killed text is saved on the kill-ring.
        kkiillll--wwhhoollee--lliinnee
-              Kill  all  characters on the current line, no matter where point
+              Kill all characters on the current line, no matter  where  point
               is.
        kkiillll--wwoorrdd ((MM--dd))
-              Kill from point to the end of the current word,  or  if  between
-              words,  to  the  end  of the next word.  Word boundaries are the
-              same as those used by ffoorrwwaarrdd--wwoorrdd.
-       bbaacckkwwaarrdd--kkiillll--wwoorrdd ((MM--RRuubboouutt))
-              Kill the word behind point.  Word boundaries  are  the  same  as
-              those used by bbaacckkwwaarrdd--wwoorrdd.
-       sshheellll--kkiillll--wwoorrdd
               Kill  from  point  to the end of the current word, or if between
               words, to the end of the next word.   Word  boundaries  are  the
+              same as those used by ffoorrwwaarrdd--wwoorrdd.
+       bbaacckkwwaarrdd--kkiillll--wwoorrdd ((MM--RRuubboouutt))
+              Kill  the  word  behind  point.  Word boundaries are the same as
+              those used by bbaacckkwwaarrdd--wwoorrdd.
+       sshheellll--kkiillll--wwoorrdd
+              Kill from point to the end of the current word,  or  if  between
+              words,  to  the  end  of the next word.  Word boundaries are the
               same as those used by sshheellll--ffoorrwwaarrdd--wwoorrdd.
        sshheellll--bbaacckkwwaarrdd--kkiillll--wwoorrdd
-              Kill  the  word  behind  point.  Word boundaries are the same as
+              Kill the word behind point.  Word boundaries  are  the  same  as
               those used by sshheellll--bbaacckkwwaarrdd--wwoorrdd.
        uunniixx--wwoorrdd--rruubboouutt ((CC--ww))
-              Kill the word behind point, using white space as a  word  bound-
+              Kill  the  word behind point, using white space as a word bound-
               ary.  The killed text is saved on the kill-ring.
        uunniixx--ffiilleennaammee--rruubboouutt
-              Kill  the  word  behind  point,  using white space and the slash
-              character as the word boundaries.  The killed text is  saved  on
+              Kill the word behind point, using  white  space  and  the  slash
+              character  as  the word boundaries.  The killed text is saved on
               the kill-ring.
        ddeelleettee--hhoorriizzoonnttaall--ssppaaccee ((MM--\\))
               Delete all spaces and tabs around point.
@@ -3451,65 +3460,65 @@ RREEAADDLLIINNEE
        ccooppyy--rreeggiioonn--aass--kkiillll
               Copy the text in the region to the kill buffer.
        ccooppyy--bbaacckkwwaarrdd--wwoorrdd
-              Copy  the word before point to the kill buffer.  The word bound-
+              Copy the word before point to the kill buffer.  The word  bound-
               aries are the same as bbaacckkwwaarrdd--wwoorrdd.
        ccooppyy--ffoorrwwaarrdd--wwoorrdd
-              Copy the word following point to  the  kill  buffer.   The  word
+              Copy  the  word  following  point  to the kill buffer.  The word
               boundaries are the same as ffoorrwwaarrdd--wwoorrdd.
        yyaannkk ((CC--yy))
               Yank the top of the kill ring into the buffer at point.
        yyaannkk--ppoopp ((MM--yy))
-              Rotate  the kill ring, and yank the new top.  Only works follow-
+              Rotate the kill ring, and yank the new top.  Only works  follow-
               ing yyaannkk or yyaannkk--ppoopp.
 
    NNuummeerriicc AArrgguummeennttss
        ddiiggiitt--aarrgguummeenntt ((MM--00,, MM--11,, ......,, MM----))
-              Add this digit to the argument already accumulating, or start  a
+              Add  this digit to the argument already accumulating, or start a
               new argument.  M-- starts a negative argument.
        uunniivveerrssaall--aarrgguummeenntt
-              This  is another way to specify an argument.  If this command is
-              followed by one or more digits, optionally with a leading  minus
-              sign,  those digits define the argument.  If the command is fol-
-              lowed by digits, executing  uunniivveerrssaall--aarrgguummeenntt  again  ends  the
-              numeric  argument, but is otherwise ignored.  As a special case,
-              if this command is immediately followed by a character  that  is
-              neither  a digit nor minus sign, the argument count for the next
-              command is multiplied by four.  The argument count is  initially
-              one,  so  executing this function the first time makes the argu-
+              This is another way to specify an argument.  If this command  is
+              followed  by one or more digits, optionally with a leading minus
+              sign, those digits define the argument.  If the command is  fol-
+              lowed  by  digits,  executing  uunniivveerrssaall--aarrgguummeenntt again ends the
+              numeric argument, but is otherwise ignored.  As a special  case,
+              if  this  command is immediately followed by a character that is
+              neither a digit nor minus sign, the argument count for the  next
+              command  is multiplied by four.  The argument count is initially
+              one, so executing this function the first time makes  the  argu-
               ment count four, a second time makes the argument count sixteen,
               and so on.
 
    CCoommpplleettiinngg
        ccoommpplleettee ((TTAABB))
-              Attempt  to  perform  completion on the text before point.  BBaasshh
+              Attempt to perform completion on the text  before  point.   BBaasshh
               attempts completion treating the text as a variable (if the text
-              begins  with  $$), username (if the text begins with ~~), hostname
-              (if the text begins with @@), or command (including  aliases  and
+              begins with $$), username (if the text begins with  ~~),  hostname
+              (if  the  text begins with @@), or command (including aliases and
               functions) in turn.  If none of these produces a match, filename
               completion is attempted.
        ppoossssiibbllee--ccoommpplleettiioonnss ((MM--??))
               List the possible completions of the text before point.
        iinnsseerrtt--ccoommpplleettiioonnss ((MM--**))
-              Insert all completions of the text before point that would  have
+              Insert  all completions of the text before point that would have
               been generated by ppoossssiibbllee--ccoommpplleettiioonnss.
        mmeennuu--ccoommpplleettee
-              Similar  to ccoommpplleettee, but replaces the word to be completed with
-              a single match from the list of possible completions.   Repeated
-              execution  of  mmeennuu--ccoommpplleettee  steps through the list of possible
-              completions, inserting each match in turn.  At the  end  of  the
+              Similar to ccoommpplleettee, but replaces the word to be completed  with
+              a  single match from the list of possible completions.  Repeated
+              execution of mmeennuu--ccoommpplleettee steps through the  list  of  possible
+              completions,  inserting  each  match in turn.  At the end of the
               list of completions, the bell is rung (subject to the setting of
               bbeellll--ssttyyllee) and the original text is restored.  An argument of _n
-              moves  _n  positions  forward  in the list of matches; a negative
-              argument may be used to move backward through  the  list.   This
-              command  is  intended  to  be  bound  to  TTAABB, but is unbound by
+              moves _n positions forward in the list  of  matches;  a  negative
+              argument  may  be  used to move backward through the list.  This
+              command is intended to be  bound  to  TTAABB,  but  is  unbound  by
               default.
        mmeennuu--ccoommpplleettee--bbaacckkwwaarrdd
-              Identical to mmeennuu--ccoommpplleettee, but moves backward through the  list
-              of  possible  completions,  as if mmeennuu--ccoommpplleettee had been given a
+              Identical  to mmeennuu--ccoommpplleettee, but moves backward through the list
+              of possible completions, as if mmeennuu--ccoommpplleettee had  been  given  a
               negative argument.  This command is unbound by default.
        ddeelleettee--cchhaarr--oorr--lliisstt
-              Deletes the character under the cursor if not at  the  beginning
-              or  end  of  the  line (like ddeelleettee--cchhaarr).  If at the end of the
+              Deletes  the  character under the cursor if not at the beginning
+              or end of the line (like ddeelleettee--cchhaarr).  If at  the  end  of  the
               line, behaves identically to ppoossssiibbllee--ccoommpplleettiioonnss.  This command
               is unbound by default.
        ccoommpplleettee--ffiilleennaammee ((MM--//))
